# Package org.apache.coyote.ajp

package org.apache.coyote.ajp

- Related Packages
  Package
  Description
  org.apache.coyote
  org.apache.coyote.http11
  org.apache.coyote.http2
- Classes
  Class
  Description
  AbstractAjpProtocol<S>
  This the base implementation for the AJP protocol handlers.
  AjpAprProtocol
  Deprecated.
  The APR/Native Connector will be removed in Tomcat 9.1.x onwards and has been removed from Tomcat 10.1.x onwards.
  AjpMessage
  A single packet for communication between the web server and the container.
  AjpNio2Protocol
  This the NIO2 based protocol handler implementation for AJP.
  AjpNioProtocol
  This the NIO based protocol handler implementation for AJP.
  AjpProcessor
  AJP Processor implementation.
  Constants
  Constants.